import { TourAnchorDirective, TourService, IStepOption, TourBackdropService } from 'ngx-ui-tour-core';
import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TourAnchorConsoleDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private element;
    private tourBackdrop;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: TourService, element: ElementRef, tourBackdrop: TourBackdropService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorConsoleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorConsoleDirective, "[tourAnchor]", never, { "tourAnchor": "tourAnchor"; }, {}, never>;
}
